osp_credential Struct Reference

Struct credential information for OSP. More...

## Data Fields

gchar * | type
gchar * | service
gchar * | port
GHashTable * | auth_data

## Detailed Description

Struct credential information for OSP.

## Field Documentation

## auth_data

GHashTable* osp_credential::auth_data

Authentication data (username, password, etc.)

## port

gchar* osp_credential::port

Port the credential is for

## service

gchar* osp_credential::service

Service the credential is for

## type

gchar* osp_credential::type

Credential type

The documentation for this struct was generated from the following file:

- osp/osp.c